### Method

# Gio SettingsSchemaKey ref

since: 2.40

#### Declaration

    GSettingsSchemaKey*
    g_settings_schema_key_ref (
      GSettingsSchemaKey* key
    )

#### Description

Increase the reference count of `key`, returning a new reference.

Available since: 2.40

#### Return value

Type: `GSettingsSchemaKey`

A new reference to `key`.

The caller of the method takes ownership of the data, and is responsible for freeing it.